summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Chris Abela2010-05-13 00:59:25 +0200
committer David Somero2010-05-13 00:59:25 +0200
commit77d806225733863f43586474f705265839bf6ea3 (patch)
treede52a5479888301ace1a55340f1207000de442a0 /misc
parentdc157fba669760a567f41ee57960c038f2d82fbc (diff)
downloadslackbuilds-77d806225733863f43586474f705265839bf6ea3.tar.gz
misc/hunspell: Added to 13.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/hunspell/README4
-rw-r--r--misc/hunspell/hunspell.SlackBuild83
-rw-r--r--misc/hunspell/hunspell.info10
-rw-r--r--misc/hunspell/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/misc/hunspell/README b/misc/hunspell/README
new file mode 100644
index 0000000000..cd760e18cb
--- /dev/null
+++ b/misc/hunspell/README
@@ -0,0 +1,4 @@
+Hunspell is a spell checker and morphological analyzer library and program
+designed for languages with rich morphology and complex word compounding or
+character encoding. Hunspell interfaces: Ispell-like terminal interface using
+Curses library, Ispell pipe interface, OpenOffice.org UNO module.
diff --git a/misc/hunspell/hunspell.SlackBuild b/misc/hunspell/hunspell.SlackBuild
new file mode 100644
index 0000000000..93c1117b26
--- /dev/null
+++ b/misc/hunspell/hunspell.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for hunspell
+
+# Written by Chris Abela <chris.abela@maltats.com>
+# September 2009
+
+PRGNAM=hunspell
+VERSION=${VERSION:-1.2.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --with-ui \
+ --with-readline \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS* BUGS COPYING* ChangeLog* INSTALL NEWS README* THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/hunspell/hunspell.info b/misc/hunspell/hunspell.info
new file mode 100644
index 0000000000..4d9d006f90
--- /dev/null
+++ b/misc/hunspell/hunspell.info
@@ -0,0 +1,10 @@
+PRGNAM="hunspell"
+VERSION="1.2.8"
+HOMEPAGE="http://hunspell.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/hunspell/hunspell-1.2.8.tar.gz"
+MD5SUM="1177af54a09e320d2c24015f29c3a93e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Chris Abela"
+EMAIL="chris.abela@maltats.com"
+APPROVED="dsomero"
diff --git a/misc/hunspell/slack-desc b/misc/hunspell/slack-desc
new file mode 100644
index 0000000000..c7106619ab
--- /dev/null
+++ b/misc/hunspell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hunspell: hunspell (spell checker and morphological analyzer library)
+hunspell:
+hunspell: Hunspell is a spell checker and morphological analyzer library and
+hunspell: program designed for languages with rich morphology and complex word
+hunspell: compounding or character encoding. Hunspell interfaces: Ispell-like
+hunspell: terminal interface using Curses library, Ispell pipe interface,
+hunspell: OpenOffice.org UNO module.
+hunspell:
+hunspell:
+hunspell: Homepage: http://hunspell.sourceforge.net
+hunspell: